# OpalPluginMediaFormatInternal Class Reference

`#include <opalpluginmgr.h>`

Inheritance diagram for OpalPluginMediaFormatInternal:

[legend]
Collaboration diagram for OpalPluginMediaFormatInternal:
[legend]

## Public Member Functions

| OpalPluginMediaFormatInternal (const PluginCodec_Definition *defn)
bool | AdjustOptions (OpalMediaFormatInternal &fmt, OpalPluginControl &control) const
void | PopulateOptions (OpalMediaFormatInternal &format)
void | SetOldStyleOption (OpalMediaFormatInternal &format, const PString &_key, const PString &_val, const PString &type)
bool | IsValidForProtocol (const PString &_protocol) const

## Data Fields

const PluginCodec_Definition * | codecDef
OpalPluginControl | getOptionsControl
OpalPluginControl | freeOptionsControl
OpalPluginControl | validForProtocolControl
OpalPluginControl | toNormalisedControl
OpalPluginControl | toCustomisedControl

## Constructor & Destructor Documentation

OpalPluginMediaFormatInternal::OpalPluginMediaFormatInternal | ( | const PluginCodec_Definition * | defn | ) |

## Member Function Documentation

bool OpalPluginMediaFormatInternal::AdjustOptions | ( | OpalMediaFormatInternal & | fmt,
|  | OpalPluginControl & | control |
| ) |  |  | const

bool OpalPluginMediaFormatInternal::IsValidForProtocol | ( | const PString & | _protocol | ) | const

Reimplemented in OpalPluginAudioFormatInternal, OpalPluginVideoFormatInternal, and OpalPluginFaxFormatInternal.

void OpalPluginMediaFormatInternal::PopulateOptions | ( | OpalMediaFormatInternal & | format | ) |

void OpalPluginMediaFormatInternal::SetOldStyleOption | ( | OpalMediaFormatInternal & | format,
|  | const PString & | _key,
|  | const PString & | _val,
|  | const PString & | type |
| ) |  |  |

## Field Documentation

const PluginCodec_Definition* OpalPluginMediaFormatInternal::codecDef

OpalPluginControl OpalPluginMediaFormatInternal::freeOptionsControl

OpalPluginControl OpalPluginMediaFormatInternal::getOptionsControl

OpalPluginControl OpalPluginMediaFormatInternal::toCustomisedControl

OpalPluginControl OpalPluginMediaFormatInternal::toNormalisedControl

OpalPluginControl OpalPluginMediaFormatInternal::validForProtocolControl

The documentation for this class was generated from the following file:

- opalpluginmgr.h